Skip to main content
GET
/
v1
/
tiktok
/
videos
/
{videoId}
/
comments
Get video comments
curl --request GET \
  --url https://api.konbiniapi.com/v1/tiktok/videos/{videoId}/comments \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "@context": [
      "https://www.w3.org/ns/activitystreams#",
      "https://konbiniapi.com/ns/social#"
    ],
    "type": "OrderedCollectionPage",
    "partOf": "https://api.konbiniapi.com/v1/tiktok/users/khaby.lame/videos",
    "totalItems": 1309,
    "itemCount": 30,
    "orderedItems": [
      {
        "type": "Note",
        "id": "https://www.tiktok.com/@khaby.lame/video/7611615657754381599/comment/7611646895321105170",
        "content": "This man hasn't been in my fyp for so long",
        "likeCount": 93210,
        "attributedTo": {
          "type": "Person",
          "id": "https://www.tiktok.com/@khaby.lame",
          "url": "https://www.tiktok.com/@khaby.lame",
          "isPrivate": false,
          "isVerified": true,
          "userId": "127905465618821121",
          "internalId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
          "name": "Khabane lame",
          "preferredUsername": "khaby.lame",
          "summary": "Just a guy who reacts",
          "attachment": [
            {
              "type": "Link",
              "href": "https://linktr.ee/khaby.lame"
            }
          ],
          "published": "2020-03-15T00:00:00.000Z",
          "isLive": false,
          "hasLikes": true,
          "hasPlaylists": true,
          "followerCount": 160300000,
          "followingCount": 85,
          "likeCount": 2600000000,
          "videoCount": 1309,
          "icon": {
            "type": "Image",
            "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
            "width": 576,
            "height": 1024
          },
          "image": [
            {
              "type": "Image",
              "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
              "width": 576,
              "height": 1024
            }
          ]
        },
        "url": "https://www.tiktok.com/@khaby.lame/video/7611615657754381599/comment/7611646895321105170",
        "internalId": "7611646895321105170",
        "language": "en",
        "published": "2026-02-27T20:37:38.000Z",
        "replyCount": 96,
        "status": "1",
        "isPinned": false,
        "isLiked": false,
        "inReplyTo": "https://www.tiktok.com/@khaby.lame/video/7611615657754381599"
      }
    ],
    "cursor": "0",
    "nextCursor": "1772217402000",
    "next": "https://api.konbiniapi.com/v1/tiktok/users/khaby.lame/videos?cursor=1772217402000&count=30"
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as a Bearer token. Example: Authorization: Bearer <your-api-key>

Path Parameters

videoId
string
required

TikTok video ID

Query Parameters

count
integer
default:20

Number of comments to fetch (maximum: 50)

Required range: 1 <= x <= 50
cursor
string
default:0

Pagination cursor

Response

Returns the video comments

data
object
required